Subject: No serial port interrupts in /proc/interrupts

From: "Gerhard Pircher" <[email-masked]>
Date: Fri, 29 Feb 2008 20:08:17 +0100

Hi,

I'm wondering why the serial port interrupts don't show up in
/proc/interrupts or in debugfs/powerpc/virq_mapping. I added some debugging
code to the relevant code in arch/powerpc/kernel/irq.c and of_serial.c and
it looks like irq_of_parse_and_map() returns valid virqs (irq3, irq4 on a
i8259) for the two ns16550 compatible UARTs. Is there anything else to do,
to correctly implement UART support for a platform?

regards,

Gerhard

-- 
Ist Ihr Browser Vista-kompatibel? Jetzt die neuesten 
Browser-Versionen downloaden: http://www.gmx.net/de/go/browser